package com.qmth.qrzk.repository.exp;

import java.util.List;

public class Course {
	private String guid;
	private String code;			//课程代码
	private String name;			//课程名称
	private List<CourseBook> courseBooks;
	private List<String> questionTypeGuids;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public List<CourseBook> getCourseBooks() {
		return courseBooks;
	}
	public void setCourseBooks(List<CourseBook> courseBooks) {
		this.courseBooks = courseBooks;
	}
	public List<String> getQuestionTypeGuids() {
		return questionTypeGuids;
	}
	public void setQuestionTypeGuids(List<String> questionTypeGuids) {
		this.questionTypeGuids = questionTypeGuids;
	}
	public Course() {
		//do nothing
	}
	public Course(String guid, String code, String name,
			List<CourseBook> courseBooks, List<String> questionTypeGuids) {
		this.guid = guid;
		this.code = code;
		this.name = name;
		this.courseBooks = courseBooks;
		this.questionTypeGuids = questionTypeGuids;
	}
}
